Subject: Re: GPF in index-pack

From: Shawn Pearce <[email-masked]>
Date: Sat, 5 Aug 2006 22:48:58 -0400

Jon Smirl <[email-masked]> wrote:
> Process size is 2.6GB when the seg fault happen. That's a lot of
> memory to build a pack index over 1M objects.
> 
> I'm running a 3:1 process address space split. I wonder why it didn't
> grow all the way to 3GB. I still have RAM and swap available.

Was the pack you are trying to index built with that fast-import.c
I sent last night?  Its possible its doing something weird that
pack-index can't handle, such as insert a duplicate object into
the same pack...

How big is the pack file?  I'd expect pack-index to be using
something around 24 MB of memory (24 bytes/entry) but maybe its
hanging onto a lot of data (memory leak?) as it decompresses the
entries to compute the checksums.

-- 
Shawn.